function grafico_barre() {
	$.ajax({ 
		url: "php/media_pagamenti.php", 
		method: "POST",
		dataType: "JSON",
		success: function(result) {
			var j=0;
			var data = [];
			for (i in result) {
				var color="";
				switch(result[i]['label']) {
    			case "BIO":
       				color = "#64f84a";
        			break;
    			case "CELIACI":
        			color = "#ffc0cb";
        			break;
				case "SOLIDALE":
        			color = "#a591df";
        			break;
				case "DOP":
        			color = "#afeeee";
        			break;
				case "DOCG":
        			color = "#ffff59";
        			break;
				case "TIPICO":
        			color = "#cc9900";
        			break;
				case "IGP":
        			color = "#cd5c5c";
        			break;
				}
				data[j] = {"label": result[i]['label'], "value": result[i]['value'], "color": color};
				j++;
				}
			var pie = new d3pie("donut", {
	
	"size": {
		"canvasHeight": 250,
		"canvasWidth": 350,
		"pieInnerRadius": "86%",
		"pieOuterRadius": "94%"
	},
	"data": {
		"smallSegmentGrouping": {
			"enabled": true,
			"label": "",
			"color": "#ffffff"
		},
		"content": data
	},
	"labels": {
		"outer": {
			"pieDistance": 2
		},
		"inner":{
			"format": "none"},
			
		"mainLabel": {
			"color": "#080000",
			"font": "verdana"
		},
		"percentage": {
			"color": "#e1e1e1",
			"font": "verdana",
			"decimalPlaces": 0
		},
		"lines": {
			"enabled": true,
			"style": "straight",
			"color": "#5d3f3f"
		},
		"truncation": {
			"enabled": true
		}
	},
	"tooltips": {
		"enabled": true,
		"type": "placeholder",
		"string": "{label}: {percentage}%",
		"styles": {
			"fadeInSpeed": 867,
			"backgroundOpacity": 1
		}
	},
	"effects": {
		"load": {
			"speed": 1960
		},
		"pullOutSegmentOnClick": {
			"effect": "linear",
			"speed": 320,
			"size": 15
		}
	},
	"misc": {
		"canvasPadding": {
			"right": 16,
			"bottom": 0
		},
		"pieCenterOffset": {
			"x": -5
		}
	},
});
		}
		
	});
}
$(document).ready(function() {
	grafico_barre();
});



