function torta() {
	$.ajax({ 
		url: "php/totale.php", 
		method: "POST",
		dataType: "JSON",
		success: function(result) {
			var j=0;
			var data = [];
			for (i in result) {
				var color="";
				switch(result[i]['label']) {
    			case "CHIMICA":
       				color = "#fab8f5";
        			break;
    			case "FRESCHI":
        			color = "#add8e6";
        			break;
				case "FRESCHISSIMI":
        			color = "#afeeee";
        			break;
				case "CASA":
        			color = "#ffff28";
        			break;
				case "CONFEZIONATO PER VENDITA":
        			color = "#ffcc33";
        			break;
				case "STAGIONALI E BRICO":
        			color = "#64f84a";
        			break;
				case "NON DEFINITO":
        			color = "#ccd973";
        			break;
				case "PERSONA":
        			color = "#ccffcc";
        			break;
				case "EROGAZIONI CARBURANTI":
        			color = "#adad99";
        			break;
				case "SALUTE":
        			color = "#ffc0cb";
        			break;
				case "INIZIATIVE SPECIALI":
        			color = "#a591df";
        			break;
				case "GROCERY ALIMENTARI":
        			color = "#cd5c5c";
        			break;
				case "MULTIMEDIA":
        			color = "#d3d3d3";
        			break;
				
				}
				data[j] = {"label": result[i]['label'], "value": result[i]['value'], "color": color};
				j++;
				}
			var pie = new d3pie("torta_totale", 
			
			
			{
			"data": {
				"content": data,
				
			},			
			"size": {
				"canvasHeight": 440,
				"canvasWidth": 530,
			
			
		
	},
	"labels": {
		"outer": {
			"hideWhenLessThanPercentage": 2,
			"pieDistance": 9
		},
		"inner": {
			"hideWhenLessThanPercentage": 3
		},
		"mainLabel": {
			"fontSize": 11
		},
		"percentage": {
			"color": "#ffffff",
			"decimalPlaces": 0
		},
		"value": {
			"color": "#adadad",
			"fontSize": 5
		},
		"lines": {
			"enabled": true,
			"style": "straight"
		},
		"truncation": {
			"enabled": true
		}
	},
			"tooltips": {
				"enabled": true,
				"type": "placeholder",
				"string": "{label}: {value} \u20AC"
			},

			"callbacks": {},
			"resize": true,
			});
			}
		});
	}
	
	
$(document).ready(function() {
	torta();
});