function line_chart() {
	$.ajax({ 
		url: "php/graficoprodottotempo.php", 
		method: "POST",
		dataType: "JSON",
		success: function(result) {
			var serie1 = result;
			var data = new Array();
			var periodo = new Array();
			for (var i in serie1) {
			periodo.push(i);
			}
			for(var i = 0; i<12; i++) {
				var dato = {
					y: periodo[i], 
					a: serie1[periodo[i]]["BIO"], 
					b: serie1[periodo[i]]["CELIACI"],
					c: serie1[periodo[i]]["DOP"],
					d: serie1[periodo[i]]["IGP"],
					e: serie1[periodo[i]]["TIPICO"],
					f: serie1[periodo[i]]["SOLIDALE"],
					g: serie1[periodo[i]]["DOCG"]
				}
				data.push(dato);
			}
			
			Morris.Line({
			  element: 'line_chart',
			  lineColors: ['#64f84a', '#ffc0cb','#afeeee', '#cd5c5c','#cc9900', '#a591df','#ffff59'],
			  data: data,
			  xkey: 'y',
			  ykeys: ['a', 'b', 'c', 'd', 'e', 'f', 'g'], 
			  labels: ['BIO', 'CELIACI', 'DOP', 'IGP', 'TIPICO', 'SOLIDALE', 'DOCG'],
			  units: ' Q',
			  lineWidth:2,
			  hideHover:'true',
			  continuousLine:false,
			  pointSize:0,
			  resize:true,
			  redraw: true
			  
			  
			});
			
		}
	});

}


$(document).ready(function() {
		line_chart();
});
