<?php
session_start();
//dichiaro 5 variabili alle quali assegno i valori per connettermi al DB
include("config.php");
$cliente = $_SESSION['id_cliente'];

//INIZIO ENTROPIA NEGOZIO
//proietto , per ogni negozio, l'id del negozio e il numero totale dei pagamenti effettuati dal cliente
$sql = "SELECT  n.id_negozio, count(*) as numero_pagamenti
		FROM negozio AS n JOIN venduto AS v on n.id_negozio=v.id_negozio 
		WHERE id_cliente = ".$cliente."
		GROUP BY n.id_negozio
		ORDER BY numero_pagamenti";
$result = pg_query($conn1, $sql); 
$somma_n=0;//Variabile somma che in seguito all'iterazione conterr la somma del numero di tutti i pagamenti effettuati dal cliente
$i=0;//Dichiaro un indice inizializzato a zero che funger da contatore (ES, NEGOZI: A, B, C l'indice sar 3)
$entropia_n=0; //variabile entropia dichiarata a zero e successivamente popoplata con il calcolo dell'entropia
while($row = pg_fetch_row($result)){ //altrimenti inizia un while che funge da foreach. Dichiaro row all'interno della quale memorizza la lunghezza di result
      $tot = $row[1];
	  $somma_n=$somma_n+$tot;
	//sommo i numeri di pagamenti effettuati
}
pg_result_seek($result, 0); //E' una funzione che si integra con postgresql e non fa altro che resettare il valore di $resul altrimenti non entra nel secondo ciclo!
while($row2 = pg_fetch_row($result)){
	  $entropia_n = $entropia_n + $row2[1]/$somma_n * (log(($row2[1]/$somma_n),2)); //entropia = numero di pagamenti [i]/ somma dei pagamenti * per il logaritmo in base due di numero di pagamenti [i]/ somma dei pagamenti
	  $i++;
   }
   $entropia_n = -($entropia_n);//(- passa a +)
   $entropia_n= number_format(($entropia_n / log($i, 2)),2); //STEP FINALE - NORMALIZZAZIONE: divido l'entropia che ho ottenuto per il logarimo in base 2 con argomento il contatore (il contatore non  altro che il numero degli id presi in analisi)
   //number format  una funzione che mi permette di stabilire quante cifre dopo la virgola considerare
 //FINE ENTROPIA NEGOZIO
 
 //ENTROPIA ARTICOLO
//proietto , per ogni scontrino, lo scontrino  e il numero di prodotti del carrello
$sql2 = "SELECT  v.scontrino, count(*) as numero_articoli
		FROM articolo AS a JOIN venduto AS v on a.id_articolo=v.id_articolo
		WHERE id_cliente = ".$cliente."
		GROUP BY v.scontrino
		ORDER BY numero_articoli DESC";
$result2 = pg_query($conn1, $sql2); 
$somma_a=0;//Variabile somma 
$entropia_a=0; //variabile entropia dichiarata a zero e successivamente popoplata con il calcolo dell'entropia
//Quattro varibaili che all'interno del ciclo si incrementeranno per determinare la quantit di articoli presenti nel carrello.
$car1=0;
$car2=0;
$car3=0;
$car4=0;
//Creo le fasce  per suddividere la quantit di prodotti nel carrello
while($row = pg_fetch_row($result2)){ //inizio iterazione
	 if($row[1]<=10){
		$car1=$car1+$row[1];}
	else if($row[1]>10 and $row[1]<=20){
	   $car2=$car2+$row[1];}
	else if($row[1]>20 and $row[1]<=50){
		   $car3=$car3+$row[1];}
	else if($row[1]>50){
		   $car4=$car4+$row[1];}
} //fine iterazione

$somma_a = $car1 + $car2 + $car3 + $car4; // sommo il totale delle quantit presenti nei diverse fasce di quantit del carrello
$entropia_a = $entropia_a + (($car1/$somma_a) * (log(($car1/$somma_a),2))) + (($car2/$somma_a) * (log(($car2/$somma_a),2))) + (($car3/$somma_a) * (log(($car3/$somma_a),2))) + (($car4/$somma_a) * (log(($car4/$somma_a),2)));
$entropia_a = - ($entropia_a); //- passa +
$entropia_a = number_format(($entropia_a / log(4, 2)),2); //normalizzo l'entropia dividendolo per il logaritmo in base due di 4 (4 corrispondo al totale delle fasce qnt carrello individuate)

//FINE ENTROPIA ARTICOLO

//ENTROPIA GIORNO SETTIMANA
$sql3 = "SELECT EXTRACT(DOW FROM data_v) AS giorni, COUNT (*) AS numero_giorni
		FROM venduto
		WHERE id_cliente = ".$cliente."
		GROUP BY giorni";
$result3 = pg_query($conn1, $sql3); 
$somma_g=0;//Variabile somma che in seguito all'iterazione conterr la somma del numero di tutti i pagamenti effettuati dal cliente
$x=0;//Dichiaro un indice inizializzato a zero che funger da contatore (ES, NEGOZI: A, B, C l'indice sar 3)
$entropia_g=0; //variabile entropia dichiarata a zero e successivamente popoplata con il calcolo dell'entropia
while($row = pg_fetch_row($result3)){ //altrimenti inizia un while che funge da foreach. Dichiaro row all'interno della quale memorizza la lunghezza di result
      $tot = $row[1];
	  $somma_g=$somma_g+$tot;
	//sommo i numeri di pagamenti effettuati
}
pg_result_seek($result3, 0);
while($row2 = pg_fetch_row($result3)){
	  $entropia_g = $entropia_g + $row2[1]/$somma_g * (log(($row2[1]/$somma_g),2)); //entropia = numero di pagamenti [i]/ somma dei pagamenti * per il logaritmo in base due di numero di pagamenti [i]/ somma dei pagamenti
	  $x++;
   }
   $entropia_g = -($entropia_g);//normalizzo il risultanto (- passa a +)
   $entropia_g= number_format(($entropia_g / log($x, 2)),2); //STEP FINALE: divido l'entropia che ho ottenuto per il logarimo in base del contatore
   //number format  una funzione che mi permette di stabilire quante cifre dopo la virgola considerare
//FINE ENTROPIA GIORNO SETTIMANA



//ENTROPIA FASCE ORARIE

$sql4 = "SELECT EXTRACT(HOUR FROM orario) as ora, COUNT (*) AS numero
		FROM venduto
		WHERE id_cliente = ".$cliente."
		GROUP BY ora";
$result4 = pg_query($conn1, $sql4); 
$somma_h=0;//Variabile somma che in seguito all'iterazione conterr la somma del numero di tutti i pagamenti effettuati dal cliente
$k=0;//Dichiaro un indice inizializzato a zero che funger da contatore (ES, NEGOZI: A, B, C l'indice sar 3)
$entropia_h=0; //variabile entropia dichiarata a zero e successivamente popoplata con il calcolo dell'entropia

$mattina=0;
$sera=0;
$pomeriggio=0;
$countmat=0;//Tre contatori in cui memorizzo i nuovi valori della count precedentemente eseguita
$countpom=0;
$countser=0;
//Creo le tre fasce orarie che voglio ottenere
while($row = pg_fetch_row($result4)){
	 if($row[0]<13){
		$mattina++;
		$countmat=$countmat+$row[1];}
	else if($row[0]>=13 and $row[0]<=16){
	    $pomeriggio++;
		$countpom=$countpom + $row[1];}
	else if($row[0]>=17){
		$sera++;
		$countser = $countser + $row[1];}}

$somma_h = $countmat + $countpom + $countser; // sommo il totale dei pagamenti effettuati nelle diverse fasce orarie mattina, pomeriggio, sera!
$entropia_h = $entropia_h + (($countmat/$somma_h) * (log(($countmat/$somma_h),2))) + (($countpom/$somma_h) * (log(($countpom/$somma_h),2))) + (($countser/$somma_h) * (log(($countser/$somma_h),2)));
$entropia_h = - ($entropia_h);
$entropia_h = number_format(($entropia_h / log(3, 2)),2);
//FINE ENTROPIA FASCE ORARIE

//ENTROPIA IMPORTO
//proietto , per ogni scontrino, lo scontrino stesso e la somma di tutti gli importi relativi.
$sql5 = "SELECT  v.scontrino, sum(importo::numeric) as somma_importo_scontrino
		FROM articolo AS a JOIN venduto AS v on a.id_articolo=v.id_articolo
		WHERE id_cliente = ".$cliente."
		GROUP BY v.scontrino
		ORDER BY somma_importo_scontrino DESC";
$result5 = pg_query($conn1, $sql5); 
$somma_i=0;//Variabile somma 
$entropia_i=0; //variabile entropia dichiarata a zero e successivamente popoplata con il calcolo dell'entropia
//Cinque varibaili che all'interno del ciclo si incrementeranno per determinare l'importo speso in quella determinata fascia d'importo.
$imp1=0;
$imp2=0;
$imp3=0;
$imp4=0;
$imp5=0;
//Creo le fasce degli importi 
while($row = pg_fetch_row($result5)){ //inizio iterazione
	 if($row[1]<=10){
		$imp1=$imp1+$row[1];}
	else if($row[1]>10 and $row[1]<=25){
	   $imp2=$imp2+$row[1];}
	else if($row[1]>25 and $row[1]<=50){
		   $imp3=$imp3+$row[1];}
	else if($row[1]>50 and $row[1]<=100){
		   $imp4=$imp4+$row[1];}
	else {
		   $imp5=$imp5+$row[1];}
} //fine iterazione
$somma_i = $imp1 + $imp2 + $imp3 + $imp4 + $imp5; // sommo il totale degli importi presenti nei diverse fasce di importi
$entropia_i = $entropia_i + (($imp1/$somma_i) * (log(($imp1/$somma_i),2))) + (($imp2/$somma_i) * (log(($imp2/$somma_i),2))) + (($imp3/$somma_i) * (log(($imp3/$somma_i),2))) + (($imp4/$somma_i) * (log(($imp4/$somma_i),2))) + (($imp5/$somma_i) * (log(($imp5/$somma_i),2)));
$entropia_i = - ($entropia_i); //- passa +
$entropia_i = number_format(($entropia_i / log(5, 2)),2); //normalizzo l'entropia dividendolo per il logaritmo in base due di 5 (5 corrispondo al totale degli importi)
//FINE ENTROPIA IMPORTO
$records3 = array ();
$e1=array("axis"=>"N","value"=>1-$entropia_n);
$e2=array("axis"=>"A","value"=> 1-$entropia_a);
$e3=array("axis"=>"O","value"=>1-$entropia_h);
$e4=array("axis"=>"G","value"=>1-$entropia_g);
$e5=array("axis"=>"I","value"=>1-$entropia_i);

array_push($records3, array($e1, $e2, $e3, $e4, $e5));
echo json_encode($records3);
pg_close($conn1);
?>