<?php
session_start();
//dichiaro 5 variabili alle quali assegno i valori per connettermi al DB
include("config.php");
$cliente = $_SESSION['id_cliente'];
//Query che restituisce la media e la media standard deviation dei km percorsi dal cliente
$sql = "SELECT STDDEV(length/1000) as Dev_Standard, AVG(length/1000) AS Media_km 
		FROM traiettoria
		WHERE uid=".$cliente." AND length>1000
		GROUP BY (uid)"; //interrogo il database
$result = pg_query($conn1, $sql); //memorizzo nella variabile result il risultato della query, passando come paramentro anche la connessione
$records3 = array();//array vuoto
if(!$result){ //Se non vi sono risultati ...
      echo pg_last_error($conn1); //.. dammi errore..
      exit;//..ed esci
   } 
   while($row = pg_fetch_row($result)){ //altrimenti inizia un while che funge da foreach. Dichiaro row all'interno della quale memorizza la lunghezza di result 
	  $std = $row['0'];  
      $avg = $row['1'];
	  $deviation = (number_format($std,2)); //funzione che considera due posizioni decimali dopo la virgola arrotondando per eccesso
	  $media = (number_format($avg,2));
	  $rap=$media."&#177;".$deviation."km";
	  array_push($records3, array("Tot" => $rap));
   }
   echo json_encode($records3); //stampo tutto in formato JSON
   pg_close($conn1);
?>
